net.minecraft.world.biome

## Class BiomeGenBeach

- java.lang.Object
- - net.minecraft.world.biome.BiomeGenBase
  - - net.minecraft.world.biome.BiomeGenBeach

-     public class BiomeGenBeach
      extends BiomeGenBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.biome.BiomeGenBase

      `BiomeGenBase.FlowerEntry, BiomeGenBase.Height, BiomeGenBase.SpawnListEntry, BiomeGenBase.TempCategory`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.BiomeGenBase

      `beach, biomeID, biomeName, birchForest, birchForestHills, coldBeach, coldTaiga, coldTaigaHills, color, deepOcean, desert, desertHills, enableRain, enableSnow, explorationBiomesList, extremeHills, extremeHillsEdge, extremeHillsPlus, field_150604_aj, field_150609_ah, field_76754_C, fillerBlock, flowers, forest, forestHills, frozenOcean, frozenRiver, genTallFlowers, height_DeepOceans, height_Default, height_HighPlateaus, height_LowHills, height_LowIslands, height_LowPlains, height_MidHills, height_MidPlains, height_Oceans, height_PartiallySubmerged, height_RockyWaters, height_ShallowWaters, height_Shores, heightVariation, hell, iceMountains, icePlains, jungle, jungleEdge, jungleHills, megaTaiga, megaTaigaHills, mesa, mesaPlateau, mesaPlateau_F, mushroomIsland, mushroomIslandShore, ocean, plains, plantNoise, rainfall, river, roofedForest, rootHeight, savanna, savannaPlateau, sky, spawnableCaveCreatureList, spawnableCreatureList, spawnableMonsterList, spawnableWaterCreatureList, stoneBeach, swampland, taiga, taigaHills, temperature, temperatureNoise, theBiomeDecorator, topBlock, waterColorMultiplier, worldGeneratorBigTree, worldGeneratorSwamp, worldGeneratorTrees`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeGenBeach(int par1)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.world.biome.BiomeGenBase

      `addDefaultFlowers, addFlower, canSpawnLightningBolt, createBiomeDecorator, createMutation, decorate, func_150557_a, func_150559_j, func_150563_c, func_150567_a, func_150572_a, func_76733_a, genBiomeTerrain, genTerrainBlocks, getBiome, getBiomeClass, getBiomeFoliageColor, getBiomeGenArray, getBiomeGrassColor, getEnableSnow, getFloatRainfall, getFloatTemperature, getIntRainfall, getModdedBiomeDecorator, getModdedBiomeFoliageColor, getModdedBiomeGrassColor, getRandomWorldGenForGrass, getSkyColorByTemp, getSpawnableList, getSpawningChance, getTempCategory, getWaterColorMultiplier, isEqualTo, isHighHumidity, plantFlower, setBiomeName, setColor, setDisableRain, setEnableSnow, setHeight, setTemperatureRainfall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BiomeGenBeach

          public BiomeGenBeach(int par1)